# all figures and pairwise comparisons

# ----------------------- figures text --------------------
# figure nr 2 (end-start)
wmdata<-read.csv2("wmdata.csv", sep = ";", header = T, fill = T)
wmdata <- wmdata[-c(62, 63, 64), ]
# graph in "wm" treatment file

## Between each area
## Control sound
newdataC <-subset(wmdata, Test_sound == "Control")

newdata1 <- subset(newdataC, Area == "Captive" | Area == "Semi")
glm1=glmer(newdata1$E_S_T~newdata1$Area+(1|newdata1$Individual), family = poisson)
summary(glm1)
# P = 0.0226 SE = 0.1494 Est = 0.3234
lsm1 = lsmeans(glm1, "Area", type = "response")
pairs(lsm1)

newdata2 <- subset(newdataC, Area == "Captive" | Area == "Wild")
glm2=glmer(newdata2$E_S_T~newdata2$Area+(1|newdata2$Individual), family = poisson)
summary(glm2)
# P = 0.007461 SE = 0.1829 Est = 0.4895
lsm2 = lsmeans(glm2, "Area", type = "response")
pairs(lsm2)

newdata3 <- subset(newdataC, Area == "Wild" | Area == "Semi")
glm3=glmer(newdata3$E_S_T~newdata3$Area+(1|newdata3$Individual), family = poisson)
summary(glm3)
# P = 0.3502 SE = 0.1598 Est = 0.1493
lsm3 = lsmeans(glm3, "Area", type = "response")
pairs(lsm3)

## between areas, lion sound
newdataL <-subset(wmdata, Test_sound == "Lion")

newdata1.1 <- subset(newdataL, Area == "Captive" | Area == "Semi")
glm1.1=glmer(newdata1.1$E_S_T~newdata1.1$Area+(1|newdata1.1$Individual), family = poisson)
summary(glm1.1)
# P = 0.0226 SE = 0.1494 Est = 0.3234
lsm1.1 = lsmeans(glm1.1, "Area", type = "response")
pairs(lsm1.1)

newdata2.1 <- subset(newdataL, Area == "Captive" | Area == "Wild")
glm2.1=glmer(newdata2.1$E_S_T~newdata2.1$Area+(1|newdata2.1$Individual), family = poisson)
summary(glm2.1)
# P = 0.007461 SE = 0.1829 Est = 0.4895
lsm2.1 = lsmeans(glm2.1, "Area", type = "response")
pairs(lsm2.1)

newdata3.1 <- subset(newdataL, Area == "Wild" | Area == "Semi")
glm3.1=glmer(newdata3.1$E_S_T~newdata3.1$Area+(1|newdata3.1$Individual), family = poisson)
summary(glm3.1)
# P = 0.3502 SE = 0.1598 Est = 0.1493
lsm3.1 = lsmeans(glm3.1, "Area", type = "response")
pairs(lsm3.1)

## within each area
newdata4 <- subset(wmdata, Area == "Captive")
glm4=glmer(newdata4$E_S_T~newdata4$Test_sound+(1|newdata4$Individual), family = poisson)
summary(glm4)
lsm4 = lsmeans(glm4, "Test_sound", type = "response")
pairs(lsm4)

newdata5 <- subset(wmdata, Area == "Semi")
glm5=glmer(newdata5$E_S_T~newdata5$Test_sound+(1|newdata5$Individual), family = poisson)
summary(glm5)
lsm5 = lsmeans(glm5, "Test_sound", type = "response")
pairs(lsm5)

newdata6 <- subset(wmdata, Area == "Wild")
glm6=glmer(newdata6$E_S_T~newdata6$Test_sound+(1|newdata6$Individual), family = poisson)
summary(glm6)
lsm6 = lsmeans(glm6, "Test_sound", type = "response")
pairs(lsm6)

# used pairs to check if it has approximately the same values as just summary use


# figure nr 3 (presence and hesitation)
# graph in cswdata file
# no within area comparisons needed, no lion/control differences shown in these graphs

## between area comparison
## presence <10m
glm7=glmer(wmdata$Less_10m~wmdata$Area+(1|wmdata$Individual), family = binomial(link = "logit"))
summary(glm7)
lsm7 = lsmeans(glm7, "Area", type = "response")
pairs(lsm7)

## time <10m
wmdataY=subset(wmdata, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Area+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
lsm = lsmeans(Time10M_lmer, "Area", type = "response")
pairs(lsm)

## evidence hesitation
glm8=glmer(wmdata$Hes_present~wmdata$Area+(1|wmdata$Individual), family = binomial(link = "logit"))
summary(glm8)
lsm8 = lsmeans(glm8, "Area", type = "response")
pairs(lsm8)

## frequency hesitation
glm9=glmer(wmdata$Total_hes~wmdata$Area+(1|wmdata$Individual), family = poisson)
summary(glm9)
lsm9 = lsmeans(glm9, "Area", type = "response")
pairs(lsm9)


# ------------------- supplementary figures --------------------
# figure nr 5
# presence and hesitation, with control vs lion sound 
# graphs in cswtreatment file

# between area comparisons
## control sound
newdataC <-subset(wmdata, Test_sound == "Control")
### presence <10m
glm10=glmer(newdataC$Less_10m~newdataC$Area+(1|newdataC$Individual), family = binomial(link = "logit"))
summary(glm10)
lsm10 = lsmeans(glm10, "Area", type = "response")
pairs(lsm10)

### time <10m
wmdataY=subset(newdataC, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Area+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
lsm = lsmeans(Time10M_lmer, "Area", type = "response")
pairs(lsm)

### evidence of hesitation
glm11=glmer(newdataC$Hes_present~newdataC$Area+(1|newdataC$Individual), family = binomial(link = "logit"))
summary(glm11)
lsm11 = lsmeans(glm11, "Area", type = "response")
pairs(lsm11)

### frequency of hesitation
glm12=glmer(newdataC$Total_hes~newdataC$Area+(1|newdataC$Individual), family = poisson)
summary(glm12)
lsm12 = lsmeans(glm12, "Area", type = "response")
pairs(lsm12)


# between area comparison
## lion sound
newdataL <-subset(wmdata, Test_sound == "Lion")
### presence <10m
glm10.1=glmer(newdataL$Less_10m~newdataL$Area+(1|newdataL$Individual), family = binomial(link = "logit"))
summary(glm10.1)
lsm10.1 = lsmeans(glm10.1, "Area", type = "response")
pairs(lsm10.1)

### time <10m
wmdataY=subset(newdataL, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Area+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
lsm2 = lsmeans(Time10M_lmer, "Area", type = "response")
pairs(lsm2)

### evidence of hesitation
glm11.1=glmer(newdataL$Hes_present~newdataL$Area+(1|newdataL$Individual), family = binomial(link = "logit"))
summary(glm11.1)
lsm11.1 = lsmeans(glm11.1, "Area", type = "response")
pairs(lsm11.1)

### frequency of hesitation
glm12.1=glmer(newdataL$Total_hes~newdataL$Area+(1|newdataL$Individual), family = poisson)
summary(glm12.1)
lsm12.1 = lsmeans(glm12.1, "Area", type = "response")
pairs(lsm12.1)


# within area comparison
### presence <10m
newdata7 <- subset(wmdata, Area == "Captive")
glm13=glmer(newdata7$Less_10m~newdata7$Test_sound+(1|newdata7$Individual), family = binomial(link = "logit"))
summary(glm13)
lsm13 = lsmeans(glm13, "Test_sound", type = "response")
pairs(lsm13)

newdata8 <- subset(wmdata, Area == "Semi")
glm14=glmer(newdata8$Less_10m~newdata8$Test_sound+(1|newdata8$Individual), family = binomial(link = "logit"))
summary(glm14)
lsm14 = lsmeans(glm14, "Test_sound", type = "response")
pairs(lsm14)

newdata9 <- subset(wmdata, Area == "Wild")
glm15=glmer(newdata9$Less_10m~newdata9$Test_sound+(1|newdata9$Individual), family = binomial(link = "logit"))
summary(glm15)
lsm15 = lsmeans(glm15, "Test_sound", type = "response")
pairs(lsm15)

### time <10m
newdata7 <- subset(wmdata, Area == "Captive")
wmdataY=subset(newdata7, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Test_sound+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
lsm3 = lsmeans(Time10M_lmer, "Test_sound", type = "response")
pairs(lsm3)

newdata8 <- subset(wmdata, Area == "Semi")
wmdataY=subset(newdata8, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Test_sound+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
# number of grouping factors too small 
lsm4 = lsmeans(Time10M_lmer, "Test_sound", type = "response")
pairs(lsm4)

newdata9 <- subset(wmdata, Area == "Wild")
wmdataY=subset(newdata9, Less_10m=="1")
wmdataY$logTime_less_10m = log(wmdataY$Time_less_10m+1)
Time10M_lmer=lmer(wmdataY$logTime_less_10m~Test_sound+(1|Individual),data=wmdataY)
summary(Time10M_lmer)
lsm5 = lsmeans(Time10M_lmer, "Test_sound", type = "response")
pairs(lsm5)
# number of grouping factors way too small

### evidence of hesitation
newdata7 <- subset(wmdata, Area == "Captive")
glm16=glmer(newdata7$Hes_present~newdata7$Test_sound+(1|newdata7$Individual), family = binomial(link = "logit"))
summary(glm16)
lsm16 = lsmeans(glm16, "Test_sound", type = "response")
pairs(lsm16)

newdata8 <- subset(wmdata, Area == "Semi")
glm17=glmer(newdata8$Hes_present~newdata8$Test_sound+(1|newdata8$Individual), family = binomial(link = "logit"))
summary(glm17)
lsm17 = lsmeans(glm17, "Test_sound", type = "response")
pairs(lsm17)

newdata9 <- subset(wmdata, Area == "Wild")
glm18=glmer(newdata9$Hes_present~newdata9$Test_sound+(1|newdata9$Individual), family = binomial(link = "logit"))
summary(glm18)
lsm18 = lsmeans(glm18, "Test_sound", type = "response")
pairs(lsm18)

### frequency of hesitation
newdata7 <- subset(wmdata, Area == "Captive")
glm19=glmer(newdata7$Total_hes~newdata7$Test_sound+(1|newdata7$Individual), family = poisson)
summary(glm19)
lsm19 = lsmeans(glm19, "Test_sound", type = "response")
pairs(lsm19)

newdata8 <- subset(wmdata, Area == "Semi")
glm20=glmer(newdata8$Total_hes~newdata8$Test_sound+(1|newdata8$Individual), family = poisson)
summary(glm20)
lsm20 = lsmeans(glm20, "Test_sound", type = "response")
pairs(lsm20)

newdata9 <- subset(wmdata, Area == "Wild")
glm21=glmer(newdata9$Total_hes~newdata9$Test_sound+(1|newdata9$Individual), family = poisson)
summary(glm21)
lsm21 = lsmeans(glm21, "Test_sound", type = "response")
pairs(lsm21)



# figure nr 6
# learning 
# graphs in cswlearning file
# only have within area comparisons

## captive
### presence <10m

newdata7 <- subset(wmdata, Area == "Captive")
glmL1=glmer(newdata7$Less_10m~newdata7$Test_nr+(1|newdata7$Individual), family = binomial(link = "logit"))
summary(glmL1)
lsmL1 = lsmeans(glmL1, "Test_nr", type = "response")
pairs(lsmL1)

# doesnt work
